%define debug_package %{nil}
%define product_family Red Hat OpenStack Platform
%define release_name Queens
%define base_release_version 13
%define full_release_version 13.0.11
%define release_file rhosp-release
%define script_name rhosp-director-image-update
%define script_version 1.0.0

Name:           %{release_file}%{?variant_lowercase:-%{variant_lowercase}}
Version:        %{full_release_version}
Release:        1%{?dist}
Summary:        %{product_family}%{?variant_titlecase: %{variant_titlecase}} release file
Group:          System Environment/Base
License:        GPLv2
Provides:       %{release_file} = %{version}-%{release}
BuildArch:      noarch
Source0: %{release_file}-%{script_version}.tar.gz

Requires: python
Requires: rpmdevtools

%description
%{product_family}%{?variant_titlecase: %{variant_titlecase}} release files

%prep
%autosetup -n %{release_file}-%{script_version}

%build
echo OK

%install
rm -rf %{buildroot}

# create /etc
mkdir -p %{buildroot}/etc

# create /etc/system-release and /etc/%{release_file}
echo "%{product_family}%{?variant_titlecase: %{variant_titlecase}} release %{full_release_version}%{?beta: %{beta}} (%{release_name})" > %{buildroot}/%{_sysconfdir}/%{release_file}

# Add rhos-director-image-update
%{__install} -d -m0755 %{buildroot}%{_sbindir}
%{__install} -p -m0755 %{script_name} %{buildroot}%{_sbindir}/%{script_name}

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_sysconfdir}/%{release_file}
%attr(0755, root, root) %{_sbindir}/%{script_name}

%changelog
* Mon Feb 03 2020 Steve Linabery <slinaber@redhat.com> 13.0.11-1
- Update for 13.0.11 (rhbz#1797637)

* Wed Nov 20 2019 Steve Linabery <slinaber@redhat.com> 13.0.10-1
- Update for 13.0.10 (rhbz#1774647)

* Mon Sep 16 2019 Thierry Vignaud <tvignaud@redhat.com> 13.0.9-1
- Update for 13.0.9 (rhbz#1752406)

* Mon Aug 12 2019 Thierry Vignaud <tvignaud@redhat.com> 13.0.8-1
- Update for 13.0.8 (rhbz#1740202)

* Thu Jun 06 2019 Steve Linabery <slinaber@redhat.com> 13.0.7-1
- Update for 13.0.7 (rhbz#1710911)

* Tue Mar 19 2019 Steve Linabery <slinaber@redhat.com> 13.0.6-1
- Update for 13.0.6 (rhbz#1690516)

* Thu Jan 17 2019 Steve Linabery <slinaber@redhat.com> 13.0.5-1
- Update for 13.0.5 rhbz#1667259

* Tue Nov 27 2018 Mike Burns <mburns@redhat.com> 13.0.4-1
- Update for 13.0.4 rhbz#1653860

* Wed Oct 17 2018 Jason Joyce <jjoyce@redhat.com> 13.0-11
- Adding a maintenance release version (rhbz#1640291)

* Mon Oct 15 2018 Jason Joyce <jjoyce@redhat.com> 13.0-10
- Updating to use a git archive for the rhosp-director-image-upgrade script.
- Updating rhosp-director-image-update to better handle octavia-amphora images (rhbz#1621062)

* Mon Aug 20 2018 Jason Joyce <jjoyce@redhat.com> 13.0-9
- Updating rhosp-director-image-upgrade file guards to not depend on a versions file.

* Fri Aug 10 2018 Jason Joyce <jjoyce@redhat.com> 13.0-7
- Updates to rhosp-director-image-upgrade for sub-directories, arches and different extensions.

* Fri Aug 03 2018 Jason Joyce <jjoyce@redhat.com> 13.0-6
- Adding a tool to maintain image symlinks

* Thu May 10 2018 Jon Schlueter <jschluet@redhat.com> - 13.0-3
- Update for OSP 13 GA (rhbz#1576785)

* Tue Dec 19 2017 Mike Burns <mburns@redhat.com> - 13.0-1
- Update for OSP 13 Beta
